Advertising

Welcome to SparkyLinux forums
Zapraszamy również na polsko-języczne Forum https://forum.linuxiarze.pl

[solved] sparky 5.3 upgrade ?

Started by nubipengen, March 12, 2018, 08:58:05 AM

Previous topic - Next topic

nubipengen

hello everybody,

i am currently using sparkylinux 5.2 xfce 32-bit.
i saw that sparky 5.3 is available with kernel 4.15.4, so in the sparky OS i am using, there was system upgrade notification and i confirmed the system upgrade.
the upgrade process did not return any error.

but when i checked the kernel version, using "uname -a" command, it showed :
"4.14.0-3-686 #1 SMP Debian 4.14.17-1 (2018-02-14) i686 GNU/Linux"

it seems that the kernel is not upgraded.

i also tried executing "system upgrade" menu, with the same result.
executing "apt-get update" and then "apt-get dist-upgrade" did not upgrade the kernel either.

what do i miss in the system upgrade procedure ?

thanks in advance.

pavroo

Kernel 4.15 is in testing repos already, but Debian devs did not move the latest kernel meta packages from sid to testing yet.
So, temporary enable Sid repos:
sudo nano /etc/apt/sources.list.d/sid.list
Refresh package list:
sudo apt update
Install the latest kernel meta:
amd64:
sudo apt install linux-image-amd64
686:
sudo apt install linux-image-686
686-pae:
sudo apt install linux-image-686-pae
Then disable the Sid repos back and refresh package list again.
Nothing is easy as it looks. Danielle Steel
Join #sparkylinux.org at irc.libera.chat

nubipengen

thank you very much, sir. it works.

i just realized there is already this guide :
https://sparkylinux.org/wiki/doku.php/linux_kernel

thanks again, sir, i really appreciate your help.

View the most recent posts on the forum